/**
 * @deprecated - Use new 'formatDataSize' instead
 */
export declare const formatBytes: (bytes: number, decimals?: number) => string;
/**
 * @deprecated - Use new 'formatDataSize' instead
 */
export declare const formatKiloBytes: (kiloBytes: number, decimals?: number) => string;
type InputFormats = 'B' | 'KiB' | 'MiB' | 'GiB' | 'TiB' | 'PiB' | 'EiB' | 'ZiB' | 'YiB';
interface FormatDataSizeParams {
    size: number;
    decimals?: number;
    inputFormat?: InputFormats;
}
/**
 * @param size - Size in whatever the input format is set to
 * @param decimals - Amount of decimals to round to, defaults to 2
 * @param inputFormat - The format that size is in, defaults to 'KiB'
 * @returns - Formatted data size to human readable, i.e. '1024 KiB' = '1 MiB'
 */
export declare function formatDataSize({ size, decimals, inputFormat, }: FormatDataSizeParams): string;
export {};
