import React, { ReactNode } from 'react';
export interface ConfirmationPopupProps {
    show: boolean;
    title?: string;
    body?: string;
    actions?: JSX.Element[];
    actionPosition?: 'left' | 'right';
    onClose?: () => void | undefined;
    children?: ReactNode;
    width?: string;
    isDismissable?: boolean;
}
/**
 * @deprecated Being deprecated, will implement new Dialog component that will resolve this use case
 */
declare const ConfirmationPopup: React.ForwardRefExoticComponent<ConfirmationPopupProps & React.RefAttributes<HTMLDivElement>>;
export default ConfirmationPopup;
