import { OnImageUploadFn, RichTextEditorFeatures } from '../../molecules/RichTextEditor/RichTextEditor.types';
export interface FeaturesProps {
    features?: RichTextEditorFeatures[];
    extendFeatures?: RichTextEditorFeatures[];
    removeFeatures?: RichTextEditorFeatures[];
    onImageUpload?: OnImageUploadFn;
}
export declare function getFeatures({ features, extendFeatures, removeFeatures, onImageUpload, }: FeaturesProps): RichTextEditorFeatures[];
export declare const IMG_WITH_SRC_AND_ALT: RegExp;
export declare const IMG_WITH_ALT: RegExp;
export declare function extractImageUrls(value: string | undefined): string[];
export declare function imageToB64(file: File): Promise<string>;
export declare function cleanRichTextValue(value: string): string;
