import { CSSProperties } from 'react';
export interface MultiSelectDrawerProps<T extends {
    id: string;
    label: string;
    children?: T[];
}> {
    disabled?: boolean;
    id?: string;
    items: T[];
    selectedItems: T[];
    label: string;
    meta?: string;
    onChange: (values: T[]) => void;
    placeholder?: string;
    readOnly?: boolean;
    style?: CSSProperties;
}
/**
 * @deprecated Use ComboBox instead
 */
declare const MultiSelectDrawer: {
    <T extends {
        id: string;
        label: string;
        children?: T[];
    }>({ disabled, id, items, selectedItems, label, meta, onChange, placeholder, readOnly, style, }: MultiSelectDrawerProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default MultiSelectDrawer;
