import { AppIconData } from './ApplicationIconData/ApplicationIconCollection';
export type AllowedColors = 'blue' | 'green' | 'purple' | 'red' | 'yellow' | 'magenta';
export declare const colorMap: Record<AllowedColors, string>;
export declare const darkenColor: (color: AllowedColors, percentage: number, alphaHex: string) => string;
export interface AppBaseProps {
    waveIntervalDist?: number;
    size?: number;
    color?: AllowedColors;
    rotationVariant?: number;
    numWaves?: number;
    hasLargeWaves?: boolean;
    animationState?: 'none' | 'hoverable' | 'animated' | 'loading';
    appIconData: AppIconData['svgPathData'];
    iconOnly: boolean;
}
